Description

Someone asked me about this, as far as | know there is no such option. It might be useful if you automatically launch Quassel when

starting the desktop.

Associated revisions

Revision 65e81b756816cc4ac0eeb4628552ccfd8a3biac3 - 05/13/2009 11:16 PM - Manuel Nickschas
Properly save and restore the mainwindow state

We now save size, position, maximize, minimize and hidden-to-tray on exit

and restore it at next start. Since Qt's restoreState() has some issues, | had

to workaround things a bit, so please test on your system and report if there are
still problems with the current implementation!

Fixes #677, fixes #452 (since the state is remembered, so just quit Quassel using the
tray context menu while it's hidden).

Revision 65e81b75 - 05/13/2009 11:16 PM - Manuel Nickschas

Properly save and restore the mainwindow state

We now save size, position, maximize, minimize and hidden-to-tray on exit
and restore it at next start. Since Qt's restoreState() has some issues, | had

to workaround things a bit, so please test on your system and report if there are
still problems with the current implementation!

Fixes #677, fixes #452 (since the state is remembered, so just quit Quassel using the
tray context menu while it's hidden).

Revision 525d0aa9b754a04f3caaf3f00890894ea0208c46 - 05/13/2009 11:20 PM - Manuel Nickschas
Properly save and restore the mainwindow state

We now save size, position, maximize, minimize and hidden-to-tray on exit

and restore it at next start. Since Qt's restoreState() has some issues, | had

to workaround things a bit, so please test on your system and report if there are
still problems with the current implementation!

Fixes #677, fixes #452 (since the state is remembered, so just quit Quassel using the
tray context menu while it's hidden).

Revision 525d0aa9 - 05/13/2009 11:20 PM - Manuel Nickschas

Properly save and restore the mainwindow state

We now save size, position, maximize, minimize and hidden-to-tray on exit
and restore it at next start. Since Qt's restoreState() has some issues, | had

to workaround things a bit, so please test on your system and report if there are
still problems with the current implementation!

Fixes #677, fixes #452 (since the state is remembered, so just quit Quassel using the
tray context menu while it's hidden).

History

#1 - 05/13/2009 11:28 PM - Sputnick
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset 65e81b756816cc4ac0eeb4628552ccfd8a3biacs.

#2 - 05/13/2009 11:29 PM - Sputnick
- Assignee set to Sputnick

- Target version set to 0.4.2
Since the state is now properly remembered on exit, just quit Quassel while it's hidden using the tray context menu to have it startup hidden again.

#3 - 03/03/2013 06:05 PM - omeringen

This is not working, for me at least. KDE 4.10
Any confirmation ?

#4 - 03/03/2013 08:35 PM - Anonymous

"This" is nicely vague of you, given how the commit implements several things. Assuming you mean restoring to system tray, see #1133 , which has a
fix.

#5 - 03/04/2013 04:58 PM - omeringen

"this" was about Sputnick's comment.
Sputnick wrote:

Since the state is now properly remembered on exit, just quit Quassel while it's hidden using the tray context menu to have it startup hidden
again.

#6 - 03/04/2013 07:13 PM - Anonymous

Again, please see if the patch i linked you to several times fixes it. If not, leave a comment at #1133 as this issue is now linked to commits which do
more than just the systray and i'm not going to reopen it when there's an open issue already.

#7 - 03/04/2013 10:11 PM - omeringen

Actually my question is not only about system tray. According to Sputnick's comment, quassel was remembering the state (whatever it is, system tray
or maximized) once upon a time. #1133 is only about system tray. Anyway, just wanted to say "remembering the last state" is not working anymore.
